## SYNOPSIS

           msgfilter [OPTION] FILTER [FILTER-OPTION]

## DESCRIPTION

           Applies a filter to all translations of a translation cat
           alog.

           Mandatory arguments to  long  options  are  mandatory  for
           short options too.

       Input file location:
           -i, --input=INPUTFILE
                  input PO file

           -D, --directory=DIRECTORY
                  add DIRECTORY to list for input files search

           If no input file is given or if it is -, standard input is
           read.

       Output file location:
           -o, --output-file=FILE
                  write output to specified file

           The results are written to standard output  if  no  output
           file is specified or if it is -.

           The  FILTER  can  be  any program that reads a translation
           from standard input and writes a modified  translation  to
           standard output.

       Useful FILTER-OPTIONs when the FILTER is 'sed':
           -e, --expression=SCRIPT
                  add SCRIPT to the commands to be executed

           -f, --file=SCRIPTFILE
                  add  the  contents of SCRIPTFILE to the commands to
                  be executed

           -n, --quiet, --silent
                  suppress automatic printing of pattern space

       Output details:
           --no-escape
                  do not use C escapes in output (default)

           -E, --escape
                  use C escapes in output, no extended chars

           --force-po
                  write PO file even if empty

           -w, --width=NUMBER
                  set output page width

           --no-wrap
                  do not break long message lines,  longer  than  the
                  output page width, into several lines

           -s, --sort-output
                  generate sorted output

           -F, --sort-by-file
                  sort output by file location

       Informative output:
           -h, --help
                  display this help and exit

           -V, --version
                  output version information and exit

## AUTHOR

           Written by Bruno Haible.

## REPORTING BUGS

           Report bugs to <bug-gnu-gettext@gnu.org>.

## COPYRIGHT

           Copyright © 2001-2002 Free Software Foundation, Inc.
           This  is  free software; see the source for copying condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           The  full  documentation  for msgfilter is maintained as a
           Texinfo manual.  If the info and  msgfilter  programs  are
           properly installed at your site, the command

                  info msgfilter

           should give you access to the complete manual.

    GNU gettext 0.11.5         August 2002               MSGFILTER(1)